# Uses of Class
org.eclipse.equinox.p2.core.UIServices.TrustInfo

Packages that use UIServices.TrustInfo
Package
Description
org.eclipse.equinox.p2.core
Provides core support for interacting with a p2-based provisioning system
org.eclipse.equinox.p2.repository.artifact.spi
Defines SPI for registering new implementations of artifact repositories.

## Uses of UIServices.TrustInfo in org.eclipse.equinox.p2.core

Methods in org.eclipse.equinox.p2.core that return UIServices.TrustInfo
Modifier and Type
Method
Description
`abstract UIServices.TrustInfo`
UIServices.`getTrustInfo(Certificate[][] untrustedChain, String[] unsignedDetail)`
Opens a UI prompt to capture information about trusted content.
`UIServices.TrustInfo`
UIServices.`getTrustInfo(Certificate[][] unTrustedCertificateChains, Collection<org.bouncycastle.openpgp.PGPPublicKey> untrustedPGPKeys, String[] unsignedDetail)`
Opens a UI prompt to capture information about trusted content.

## Uses of UIServices.TrustInfo in org.eclipse.equinox.p2.repository.artifact.spi

Methods in org.eclipse.equinox.p2.repository.artifact.spi that return UIServices.TrustInfo
Modifier and Type
Method
Description
`UIServices.TrustInfo`
IArtifactUIServices.`getTrustInfo(Map<List<Certificate>,Set<IArtifactKey>> untrustedCertificateChains, Map<org.bouncycastle.openpgp.PGPPublicKey,Set<IArtifactKey>> untrustedPGPKeys, Set<IArtifactKey> unsignedArtifacts, Map<IArtifactKey,File> artifactFiles)`
Opens a UI prompt to capture information about trusted content.
`static UIServices.TrustInfo`
IArtifactUIServices.`getTrustInfo(UIServices uiServices, Map<List<Certificate>,Set<IArtifactKey>> untrustedCertificateChains, Map<org.bouncycastle.openpgp.PGPPublicKey,Set<IArtifactKey>> untrustedPGPKeys, Set<IArtifactKey> unsignedArtifacts, Map<IArtifactKey,File> artifactFiles)`
Opens a UI prompt to capture information about trusted content.